# - Try to find the Ogg library
# This will define
#
#  OGG_FOUND
#  OGG_INCLUDE_DIR
#  OGG_LIBRARY


IF (OGG_INCLUDE_DIR)
    SET(OGG_FIND_QUIETLY TRUE)
ENDIF (OGG_INCLUDE_DIR)

find_path(OGG_INCLUDE_DIR ogg/ogg.h)

find_library(OGG_LIBRARY NAMES ogg)

mark_as_advanced(OGG_INCLUDE_DIR OGG_LIBRARY)


if (OGG_LIBRARY)
   set(OGG_FOUND TRUE)
endif (OGG_LIBRARY)

   set(_CMAKE_REQUIRED_LIBRARIES_TMP ${CMAKE_REQUIRED_LIBRARIES})
   set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${OGG_LIBRARY})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(OGG DEFAULT_MSG OGG_LIBRARY OGG_INCLUDE_DIR)